#!/bin/bash 
#@args: keyword, value, file
function add_reason_to_file {
	sed -i.before-configure -n -e '/$1/!p' -e '$i'"*cupsIPPReason $1/$2"': ""' $3
}  
if [ "$(id -u)" != "0" ]; then 
	echo "Usage: sudo ./configure-ppd.sh" 1>&2
	exit 1 
fi 
for f in /etc/cups/ppd/*.ppd
do 
	add_reason_to_file 'com.printspy-not-enough-balance-error' 'Saldo insuficiente para imprimir este documento' $f
	add_reason_to_file 'com.printspy-cant-print-color-error' 'Você não tem permissão para imprimir colorido' $f
	add_reason_to_file 'com.printspy-must-select-duplex-error' 'É obrigatório escolher frente-e-verso' $f
done
