===============================================================================
# PRINTSPY - Solução para bilhetagem e controle do custo de impressão 
** PrintSpy Client para Linux ** 
Copyright - Axen Informática LTDA 2017 - 
Versão 2.3.3 
-------------------------------------------------------------------------------
Contato: 
11 3522-9450 
http://prinstpy.com
printspy@printspy.info
===============================================================================

# REQUISITOS

1. Este produto requer o kernel 2.6 do Linux. 

2. É preciso ter uma versão do PrintSpy Filter ou PrintSpy Backend configuradas para encaminhar dados ao PrintSpy Client.

# ARQUITETURA E COMPONENTES 

1. Este pacote de software contém o PrintSpy Client (psclient). O PrintSpy Client é um componente responsável pelo centralização de informações de bilhetagem do ambiente de impressão, tratamento offline e comunicação com o Serviço PrintSpy. 

 -----------------------------------			 -----------------------
| SERVIDOR LINUX				| 			| SERVIDOR WINDOWS	|
|						|			|				|	
| LPRNG | CUPS ->				| ------------->	| PRINTSPY SERVER		| 
| PSFILTER | PSBACKEND-> 		|			|                   	|
| PRINTSPY CLIENT ------------->	| 			|	             	|
 -----------------------------------			 -----------------------

# CONFIGURANDO O PRINTSPY CLIENT 

1. Edite o arquivo /etc/opt/axen/printspy/client.conf criado pelo instalador. Informe o nome ou endereço IP do servidor e a porta TCP/IP nos campos apropriados, substituindo os valores atuais. O valor da porta deve ser o mesmo atualmente definido no Administrador do PrintSpy, menu Ferramentas\Opções aba Clientes, campo **Porta TCP (Linux)**. É preciso especificar uma porta  (caso a porta seja modificada no Administrador é preciso reiniciar o serviço PrintSpy no servidor para que surta efeito).

2. Após realizar alterações neste arquivo é preciso reiniciar o daemon do Print SpyClient. Utilize o seguinte comando: 

	service printspyclient restart 

# DEFININDO A PORTA LOCAL

1. O PrintSpy Backend comunica-se com o PrintSpy Client instalado localmente através da porta padrão 7002. Caso seja necessário utilizar um número de porta diferente edite o arquivo /etc/opt/printspy/client.conf e acrescente: 

	* localport=seu_numero_de_porta

2. Após realizar alterações neste arquivo é preciso reiniciar o daemon do Print SpyClient. Utilize o seguinte comando: 

	service printspyclient restart 

3. Certifique-se de configura também a porta usada pelo backend para o mesmo valor, seguindo as instruções em /opt/printspy/client/doc/README.md


SOLUCIONANDO PROBLEMAS 

1. Em caso de problemas na execução do PrintSpy Client serão gerados arquivos events_x.log (x:[0-9]) sendo events_0.log o mais recente, na pasta /var/log/printspy. Se os dados do job não puderem ser encaminhados serão gravados no arquivo jobs.log desta mesma pasta. Não exclua qualquer destes arquivos sem orientação do suporte técnico PrintSpy. O PrintSpy Client tenta retransmitir os jobs gravados localmente a cada 30 minutos. 
